AddLinearDimension

Adds a linear dimension object to the document.

Syntax

Rhino.AddLinearDimension (arrPlane, arrOrigin, arrOffset, arrLocation [, strStyle])

Parameters

arrPlane

Required.  Array.  The plane on which the dimension will lie.

arrOrigin

Required.  Array.  The origin, or first, point of the dimension.

arrOffset

Required.  Array.  The offset, or second, point of the dimension.

arrLocation

Required.  Array.  The location point of the dimension line.

strStyle

Optional.  String.  The name of the dimension style.  If omitted, the current dimension style is used.

Returns

String

The identifier of the new object if successful.

Null

If not successful, or on error.

Example

Dim arrPlane, arrOrigin, arrOffset, arrPoint

arrPlane = Rhino.ViewCPlane

arrOrigin = Array( 1, 1, 0 )

arrOffset = Array( 11, 1, 0 )

arrLocation = Array( 1, 3, 0 )

Rhino.AddLinearDimension arrPlane, arrOrigin, arrOffset, arrLocation

Also See

IsLinearDimension